﻿using ProtoBuf;

namespace Hush.Chat
{
    [ProtoContract]
    public class ChatMessage
    {
        public ChatMessage()
        {
        }

        public ChatMessage(string nick, string data) : this()
        {
            Nick = nick;
            Data = data;
        }

        [ProtoMember(1)] public string Data { get; set; }

        [ProtoMember(2)] public string Nick { get; set; }
    }
}