﻿using System;
using System.IO;

namespace WingMan.Communication
{
    public class MqttCommunicationMessageReceivedEventArgs : EventArgs
    {
        public MqttCommunicationMessageReceivedEventArgs(string topic, Stream payloadStream)
        {
            Topic = topic;
            PayloadStream = payloadStream;
        }

        public string Topic { get; set; }
        public Stream PayloadStream { get; set; }
    }
}