﻿using System.Linq;
using System.Windows.Forms;

namespace Hush.Utilities
{
    public static class Extensions
    {
        public static void UncheckOthers(this ToolStripMenuItem selectedMenuItem)
        {
            foreach (var toolStripMenuItem in selectedMenuItem.Owner.Items.Cast<object>()
                .Select(item => new {item, toolStripMenuItem = item as ToolStripMenuItem})
                .Where(t => t.toolStripMenuItem != null)
                .Where(t => !t.item.Equals(selectedMenuItem))
                .Select(t => t.toolStripMenuItem))
                toolStripMenuItem.Checked = false;
        }
    }
}